Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002586SpeedFanConfigurationpublic2016-12-21 20:012016-12-21 20:01
Reporter09876ggddzz 
Assigned Toalfredo 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGigabyte GA-Z68XP-UD4OSWindows 8.1OS Version9600.16384
Product Version4.49 
Target VersionFixed in Version4.51 beta 
Summary0002586: Windows 8.1 (BSOD) at launch of SpeedFan
DescriptionWindows 8.1 August 2013 installed on Hard Disks in RAID 0 (2x WD10EZEX)
Latest SATA Raid Intel Drivers installed (August 19, 2013, version 12.8.0.1016 ).
All others drivers are up to date (Video, Audio)
Windows has few programs installed. SpeedFan install fine.

At first launch of Speedfan before any configuration, Windows got BSOD into IasTorA.sys (Raid Driver)

I did not have any problem before with same configuration on Windows 8.
Steps To ReproduceEvery time I launch SpeedFan I got BSOD when SpeedFan load and scan.

I add in command line /NOSMARTSCAN then add /NOACPISCAN without success. Still BSOD.

I Imaging my C: partition, then re-install Windows 8.1 using an older low Intel Driver. version 11.8xx ... Same Issue, same BSOD.
Speedfan cannot be configured. So from an older Disk Image I extracted the Speedfan configuration files (Windows 8) and copied them into SpeeFan directory with no luck... Still BSOD.
Additional InformationIt seems that SpeedFan crashes when checking Signatures..
Attached is the small log created just before the BSOD.
TagsNo tags attached.
Motherboard ModelGigabyte GA-Z68XP-UD4 Processor I 2500k - Stock speed
Video Card ModelMSI GTX 660
Attached Files? file icon debug.nfo [^] (52,594 bytes) 2013-09-05 18:24
? file icon debug-slidey.nfo [^] (56,100 bytes) 2013-09-28 03:13

- Relationships

-  Notes
(0008144)
Mikmouse (reporter)
2013-09-08 16:48

I found a way to prevent BSOD into Windows 8.1 before better solution, when starting SpeedFan.
Into devices manager, My Hard Disks are seen as SCSI drives by the driver. (they are both SATA III)
quote"
Le périphérique SCSI\Disk&Ven_ATA&Prod_WDC_WD10EZEX-00R\4&10ed5902&3&050000 a été démarré." end quote.

So I added in command line /NOSCSISCAN /NOSMARTSCAN to prevent access to Hard Disks.

Since, SpeedFan start and works normally without crashing BSOD Windows.
Sorry I can't post the debug.nfo log. Got error.
Hope this can help.
(0008145)
slidey (reporter)
2013-09-28 03:13
edited on: 2013-09-28 03:18

I can echo this behavior - same thing, must be using latest Intel RST driver on Windows 8.1, 12.8.0.1016. Bugcheck BSOD on iastora.sys right after speedfan starts scanning but doesn't launch. Worked fine before Windows+RST upgrade. Uploaded debug-slidey.nfo. ASUS P6T Deluxe V2

/NOSCSISCAN /NOSMARTSCAN allows it to launch for me too. I miss my HDD temps, though :D

Thanks for this great tool!

(0008146)
reedy (reporter)
2013-11-22 23:57

+1 for me on a Gigabyte Z87X-UD3H on Windows 8.1 x64 Pro
(0008147)
Cpuroast (reporter)
2013-12-08 16:25
edited on: 2013-12-24 06:23

I can confirm speedfan 4.49 crashes the system on launch when using RST 12.8.0.1016 in Windows 8.1. It has done this on both my Ivy Bridge with 7 Series SATA controller as well as my Haswell system with 8 Series SATA controller.

/NOSCSISCAN allows speedfan to launch and not cause a BSOD.

/NOSMARTSCAN isn't needed to avoid the BSOD and speedfan correctly reports HDD temps via SMART.

RST 12.9.0.1001 is out: https://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&ProdId=2101&DwnldID=23496&ProductFamily=Software+Products&ProductLine=Chipset+Software&ProductProduct=Intel%C2%AE+Rapid+Storage+Technology+(Intel%C2%AE+RST)&lang=eng [^]

I installed it but have yet to test speedfan against it without the /NOSCSISCAN flag.

(0008148)
tafxyz (reporter)
2014-01-12 05:37

As a further reference input, the same fault happens for me using Gigabyte Z87M-D3H, Windows 8.1 Pro x64.
Intel RST driver 12.8.0.1016.

Launching speedfan directly, it appears the hard disks are showing as "SCSI" then immediately windows crash in iaStorA.sys.

Launching via "speedfan.exe /NOSCSISCAN" then speedfan starts fine, no crash, and still can find both disks.
(0008149)
joaocc (reporter)
2014-02-03 02:11

It also happens to me on a freshly installed Windows 8.1.
Hardware is Fujitsu S904, cpu i7-4600U, and chipset is likelly the QM87 (DH82QM87 PCH).
(0008150)
Viprex (reporter)
2014-03-14 08:58

Error confirmed on Gigabyte Z77X-UD3H, completly updated Windows 8.1 Pro, Intel RST 12.9.0.1001, Intel Chipset Driver 10.0.13.

/NOSCSISCAN switch works for me as it avoids the BSOD. Fan control is working.


Hardware overview: Gigabyte Z77X-UD3H, Intel Core I7-370K, Zotac GeForce 680 GTX, 4 x 4 GB 1866 RAM, SSD: Corsair CSSD-F120GB2, SSD: C400-MTFDDAC128MAM, SSD: OCZ-VERTEX3 120, HDD: SAMSUNG HD204UI

Also sent a report via Speedfan integrated upload form a minute or two ago.


/Offtopic
At this point I would like to thank you (including donation, also a minute ago) for your excellent work over the last years. Speedfan also worked absolutly perfect for me. This is the first time Speedfan produces an BSOD. I would really appreciate if you keep up the excellent work as there is nothing comparable like speedfan out there!
(0008151)
neohidra (reporter)
2014-05-28 22:23

Any chance to make it work with Windows 8.1?
(0008152)
Cpuroast (reporter)
2014-06-03 15:41

According to Viprex, looks like RST 12.9.0.1001 did not solve this issue and that /NOSCSISCAN still seems to be the only viable workaround.

I know there's an RST 13 Beta but I'm not sure if it solves it.

As for neohidra's issue, Speedfan works fine on Windows 8.1, you are most likely experiencing the RST/Speedfan BSOD issue.

Simply launch Speedfan with the /NOSCSISCAN switch and it will be fine.

At this point I feel that Speedfan should have /NOSCSISCAN enabled by default, Intel doesn't seem to want to fix this and BSODs aren't making Speedfan look good even if Speedfan isn't at all to blame.
(0008153)
alfredo (manager)
2014-08-08 20:33

Can you send me a report using the latest beta available online?
The latest beta changes the order in which hard disk access methods are tested.
This is clearly a driver issue. All the calls done by SpeedFan to access the hard disks are done in userspace. This means that they can cause a BSOD only if the driver is buggy. So far, I have always seen the drivers being fixed :-)
(0008154)
Cpuroast (reporter)
2014-08-08 22:16
edited on: 2014-08-08 22:37

Hi Alfredo,

I just upgraded to Intel Rapid Storage 13.1.0.1058 which is the one released after 12.9.0.1001 and I tried starting up speedfan 4.49 without /NOSCSISCAN, lo, and behold, no BSOD. However an interesting message popped up in the scan log:

Found APPLE SSD SD0128F on AdvSMART
Found APPLE HDD ST3000DM001 on AdvSMART
Found SCSI drive HDD ST3000DM001 (3000.6GB)
ProbeSCSI: WARNING: hard disk skipped because of invalid returned LogSense data

Also tried just tried 4.50 Beta 2, same warning pops up.

Anyways, so yah it seems that the proper fix for the the BSOD issue is to simply upgrade RST to 13.1.0.1058 or later(hopefully).

(0008155)
lordimac (reporter)
2014-08-19 00:41
edited on: 2014-08-19 00:43

I have the same Mainboard as reedy (GA-Z68X-UD3H-B3) and also got this problem. Speedfan refuses to start. Instead of starting the software my whole system freezes (bluescreen).

Speedfan doesn't even create a debug logfile.

If I set the parameters "/NOSCSISCAN /NOSMARTSCAN" I get still the same problem.

I tried to install RST 13, but looks like I don't need this because the installer tells me that my system is not compatible.

(0008156)
alfredo (manager)
2014-08-19 09:32

lordimac, is there any other similar tool running that might interfere with SpeedFan?
Please, try with

/NOSUPERIO
/NOSMBSCAN

command line parameters.
(0008157)
lordimac (reporter)
2014-08-19 16:15
edited on: 2014-08-19 16:17

Same bluescreen.

My shortcut target looks like this:

"C:\Program Files (x86)\SpeedFan\speedfan.exe" /NOSCSISCAN /NOSMARTSCAN /NOSUPERIO /NOSMBSCAN

No other software for fan control or temperature is installed. Can I assist you in any way with some debug tools?

(0008158)
alfredo (manager)
2014-08-19 16:41

lordimac, please mail me (alfredo [at] almico.com) DEBUG.NFO from SpeedFan's directory.
(0008159)
lordimac (reporter)
2014-08-19 17:02
edited on: 2014-08-19 19:38

The problem is, there is no debug.nfo file.

edit: Crash dump gets only created if I start Speedfan without any parameters. I could send you this dump if you want.

(0008160)
lordimac (reporter)
2014-08-20 16:48

Was able to update my RST to 12.9.4.1000 but it doesn't solve the bluescreen problem. :-(
(0008161)
alfredo (manager)
2014-08-20 16:53

Cpuroasts suggests "13.1.0.1058".
Did you try "/NOSCSISCAN" command line parameter?
(0008162)
lordimac (reporter)
2014-08-20 17:22

I can't upgrade to 13 because V13 is not compatible with my platform.

I tried all 4 parameters "/NOSCSISCAN /NOSMARTSCAN /NOSUPERIO /NOSMBSCAN" and got a bluescreen. How can I help you? I'm willing to install other software to help you debugging it. Should I open another ticket for it or wite you an email?
(0008163)
Cpuroast (reporter)
2014-08-20 19:16
edited on: 2014-08-20 19:23

I just read the release notes for 13.1, it seems Intel has officially removed support for Series 6 and older in RST 13.1. Z68 is part of Series 6.

13.1 is only compatible with:

    - Intel(R) 9 Series Chipset Family SATA AHCI/RAID Controller
    - Intel(R) 8 Series/C220 Series Chipset Family SATA AHCI/RAID Controller
    - Intel(R) 7 Series/C216 Series Chipset Family SATA AHCI/RAID Controller
    - Intel(R) C600 Series Chipset SATA AHCI Controller

So it doesn't look like the SpeedFan BSOD bug in RST is ever going to be fixed on lordimac's system in a newer version of RST.

People on these older platforms essentially have 2 choices:

1. Revert to an older one, since 12.8 and 12.9 are confirmed to have the issue, maybe 12.7 or older doesn't.

2. If only AHCI is in use and not Intel RAID(Stripe, Mirror, Raid5-6) and the OS is Windows Vista or newer, un-install RST completely from Programs and feature, this will revert the AHCI driver to the stock Microsoft provided AHCI driver. It may not be as fast for SSDs, but it shouldn't BSOD with speedfan.

(0008164)
lordimac (reporter)
2014-08-20 19:20

I will give it a try later with uninstalling RST and reverting the driver back to the Microsoft driver.
(0008165)
alfredo (manager)
2014-08-20 19:21

Thank you for the information, Cpuroast.
(0008166)
Cpuroast (reporter)
2014-08-20 19:26

I'm still surprised that /NOSCSISCAN doesn't solve the issue for lordimac.

It's been confirmed by me and several other people to solve the BSOD issue with RST 12.8/9 and SpeedFan.
(0008167)
alfredo (manager)
2014-08-20 19:28

I agree. It surprises me too.
(0008168)
lordimac (reporter)
2014-08-20 20:08

Allright, I uninstalled RST, reverted the SATA AHCI Controller driver back to the original one from Microsoft (Driver date 06/21/2006) and tried to run Speedfan.

First without any parameters -> Bluescreen
With parameter /NOSCSISCAN -> Bluescreen
With parameters /NOSCSISCAN /NOSMARTSCAN /NOSUPERIO /NOSMBSCAN -> Bluescreen

Must be something else. :( What can it be? Is it useful if I upload the bluescreen dump file?
(0008169)
Cpuroast (reporter)
2014-08-20 20:19

And you are sure it's running the MS AHCI one?
And this is with the latest SpeedFan which is version 4.50?

http://www.almico.com/speedfan450.exe [^]
(0008170)
lordimac (reporter)
2014-08-20 21:25
edited on: 2014-08-20 21:26

Well, it was 4.50 beta (didnt see that it's final now), but still happens with 4.50 final.

Yes I'm sure, I took the driver date right from the device manager.

Anyway, updated now back to Intel RST 12 because it looks like it's something else then the AHCI driver.

Maybe graphic card? Running an Zotac nVidia GTX 570 AMP.

(0008171)
Cpuroast (reporter)
2014-08-20 21:54
edited on: 2014-08-20 21:54

At this point: feel free to try all of the parameters listed here:

http://www.almico.com/sfarticle.php?id=3 [^]

/NOPCISCAN
/NOSMBSCAN
/NOSUPERIO
/NOTIMER
/NOSMARTSCAN
/NOSCSISCAN
/NOACPISCAN
/NOTOSHIBA
/NOASUSSCAN
/NONVIDIAI2C
/NOAMDK8SCAN

except the following which are pretty much guaranteed not to help:

/SLOWDETECT
/TIGERMP
/SMBDEBUG

(0008172)
lordimac (reporter)
2014-08-21 00:01

Still bluescreen if I add every parameter. :-(
(0008173)
alfredo (manager)
2014-08-21 09:24

Lordimac, please contact me by email (alfredo [at] almico.com).
Did you try /NOADVSMARTSCAN?
(0008174)
alfredo (manager)
2014-08-21 21:17

UPDATE: Lordimac's issue was not related to the Intel driver at all.
To stay on the safe side I will mark this issue as resolved in SpeedFan 4.51 beta :-)

- Issue History
Date Modified Username Field Change
2016-12-21 20:01 09876ggddzz New Issue
2016-12-21 20:01 09876ggddzz Issue generated from: 0002173


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3398 seconds.
memory usage: 8,217 KB
Powered by Mantis Bugtracker